commit:     1457767e8408b953aa2508997e559d1ee0afb500
Author:     Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 24 04:10:04 2019 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sun Nov 24 04:10:04 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1457767e

Revert "sci-libs/scotch: drop old EAPI and old"

This reverts commit 7af26df9708af6c31cb54d6370f2cb351c59c81f.

Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>

 sci-libs/scotch/Manifest               |   1 +
 sci-libs/scotch/scotch-5.1.12b.ebuild  | 157 ++++++++++++++++++++++++++++++
 sci-libs/scotch/scotch-6.0.4-r1.ebuild | 171 +++++++++++++++++++++++++++++++++
 sci-libs/scotch/scotch-6.0.4.ebuild    | 165 +++++++++++++++++++++++++++++++
 4 files changed, 494 insertions(+)

diff --git a/sci-libs/scotch/Manifest b/sci-libs/scotch/Manifest
index b18c5f2ee82..bab767cdb75 100644
--- a/sci-libs/scotch/Manifest
+++ b/sci-libs/scotch/Manifest
@@ -1,2 +1,3 @@
+DIST scotch_5.1.12b_esmumps.tar.gz 3989632 BLAKE2B 
c529601d68bf7a5497d363a746ad46e0c5b4d0831cd9e128ce10a09580215d5370e3766ceb1c2550985b554e2ae6c125149b11f376b32881fc66c052885c814d
 SHA512 
8d6e085029f1ec13b74bd583b8fb378db9aef8a005b96bfb726b68a4608caeb31bf7ecaf1af27566e2e4a38dfea03a017d5c2e8dd262562b238cfb113b223671
 DIST scotch_6.0.0_esmumps.tar.gz 4534976 BLAKE2B 
3d66076a520ea0f515c689c64eade13884f09ee6c58ac38e57635c405e2bd525ac144c8e36e6e86264b89480eba48f1b6bbe0049c58e1146dbb2e2216177a0f6
 SHA512 
4509a58363957b009cfc56a0a1ade31e2cb718f50edf7674d00471ee375251d03630e988036e14f545f9f4f270ff4a8b4ebe66a6f9e05b5d769b643bcf9d6067
 DIST scotch_6.0.4_esmumps.tar.gz 4804966 BLAKE2B 
63c058fac9206e70975463b1748eb5ce7cd2ba01d9fcbb28eba8f5914ac49a71fcf87941fafd6047712fa519f3b5523ce199bdf5228a8b094bbb465dd64a1083
 SHA512 
0fcf639ab1a09451256444005f1a4a739403159e3ab22c34fbcedc481be387cd4c86be6fb029b4b5816220564f64f662434bf7f1d3921ed18be081ae2a7a9ee2

diff --git a/sci-libs/scotch/scotch-5.1.12b.ebuild 
b/sci-libs/scotch/scotch-5.1.12b.ebuild
new file mode 100644
index 00000000000..7188b5ab48f
--- /dev/null
+++ b/sci-libs/scotch/scotch-5.1.12b.ebuild
@@ -0,0 +1,157 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+
+inherit eutils toolchain-funcs versionator flag-o-matic multilib
+
+# use esmumps version to allow linking with mumps
+MYP="${PN}_${PV}_esmumps"
+# download id on gforge changes every goddamn release
+DID=28978
+
+DESCRIPTION="Software for graph, mesh and hypergraph partitioning"
+HOMEPAGE="http://www.labri.u-bordeaux.fr/perso/pelegrin/scotch/";
+# broken ssl cert, so mirroring
+#SRC_URI="http://gforge.inria.fr/frs/download.php/${DID}/${MYP}.tar.gz";
+SRC_URI="http://dev.gentooexperimental.org/~patrick/${MYP}.tar.gz";
+
+LICENSE="CeCILL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc examples int64 mpi static-libs tools"
+
+DEPEND="sys-libs/zlib
+       mpi? ( virtual/mpi )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MYP/b}"
+
+static_to_shared() {
+       local libstatic=${1}; shift
+       local libname=$(basename ${libstatic%.a})
+       local soname=${libname}$(get_libname $(get_version_component_range 1-2))
+       local libdir=$(dirname ${libstatic})
+
+       einfo "Making ${soname} from ${libstatic}"
+       if [[ ${CHOST} == *-darwin* ]] ; then
+               ${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+                       -dynamiclib -install_name 
"${EPREFIX}"/usr/lib/"${soname}" \
+                       -Wl,-all_load -Wl,${libstatic} \
+                       "$@" -o ${libdir}/${soname} || die "${soname} failed"
+       else
+               ${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+                       -shared -Wl,-soname=${soname} \
+                       -Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive 
\
+                       "$@" -o ${libdir}/${soname} || die "${soname} failed"
+               [[ $(get_version_component_count) -gt 1 ]] && \
+                       ln -s ${soname} ${libdir}/${libname}$(get_libname 
$(get_major_version))
+               ln -s ${soname} ${libdir}/${libname}$(get_libname)
+       fi
+}
+
+src_prepare() {
+       epatch "${FILESDIR}"/${P}-as-needed.patch
+       sed -e "s/gcc/$(tc-getCC)/" \
+               -e "s/-O3/${CFLAGS} -pthread/" \
+               -e "s/ ar/ $(tc-getAR)/" \
+               -e "s/ranlib/$(tc-getRANLIB)/" \
+               src/Make.inc/Makefile.inc.i686_pc_linux2 > src/Makefile.inc || 
die
+       use int64 && append-cflags -DIDXSIZE64
+}
+
+src_compile() {
+       emake -C src CLIBFLAGS=-fPIC
+       static_to_shared lib/libscotcherr.a
+       static_to_shared lib/libscotcherrexit.a
+       static_to_shared lib/libscotch.a -Llib -lz -lm -lrt -lscotcherr
+       static_to_shared lib/libesmumps.a -Llib -lscotch
+       static_to_shared lib/libscotchmetis.a -Llib -lscotch
+
+       if use mpi; then
+               emake -C src CLIBFLAGS=-fPIC ptscotch
+               export LINK=mpicc
+               static_to_shared lib/libptscotcherr.a
+               static_to_shared lib/libptscotcherrexit.a
+               static_to_shared lib/libptscotch.a -Llib -lptscotcherr -lz -lm 
-lrt
+               static_to_shared lib/libptesmumps.a -Llib -lptscotch
+               static_to_shared lib/libptscotchparmetis.a -Llib -lptscotch
+       fi
+       if use static-libs; then
+               emake -C src clean
+               emake -C src
+               use mpi && emake -C src ptscotch
+       fi
+}
+
+src_install() {
+       dolib.so lib/lib*$(get_libname)*
+       use static-libs && dolib.a lib/*.a
+
+       insinto /usr/include/scotch
+       doins include/*
+
+       cat <<-EOF > scotchmetis.pc
+               prefix=${EPREFIX}/usr
+               libdir=\${prefix}/$(get_libdir)
+               includedir=\${prefix}/include
+               Name: scotchmetis
+               Description: ${DESCRIPTION}
+               Version: ${PV}
+               URL: ${HOMEPAGE}
+               Libs: -L\${libdir} -lscotchmetis -lscotcherr -lscotch
+               Private: -lm -lz -lrt
+               Cflags: -I\${includedir}/scotch
+       EOF
+       insinto /usr/$(get_libdir)/pkgconfig
+       doins scotchmetis.pc
+
+       # not sure it is actually a full replacement of metis
+       #alternatives_for metis scotch 0 \
+       #       /usr/$(get_libdir)/pkgconfig/metis.pc scotchmetis.pc
+
+       if use mpi; then
+               cat <<-EOF > ptscotchparmetis.pc
+                       prefix=${EPREFIX}/usr
+                       libdir=\${prefix}/$(get_libdir)
+                       includedir=\${prefix}/include
+                       Name: ptscotchparmetis
+                       Description: ${DESCRIPTION}
+                       Version: ${PV}
+                       URL: ${HOMEPAGE}
+                       Libs: -L\${libdir} -lptscotchparmetis -lptscotcherr 
-lptscotch
+                       Private: -lm -lz -lrt
+                       Cflags: -I\${includedir}/scotch
+                       Requires: scotchmetis
+               EOF
+                       insinto /usr/$(get_libdir)/pkgconfig
+                       doins ptscotchparmetis.pc
+                       # not sure it is actually a full replacement of parmetis
+                       #alternatives_for metis-mpi ptscotch 0 \
+                       #       /usr/$(get_libdir)/pkgconfig/metis-mpi.pc 
ptscotchparmetis.pc
+       fi
+
+       dodoc README.txt
+
+       if use tools; then
+               local b m
+               pushd bin > /dev/null
+               for b in *; do
+                       newbin ${b} scotch_${b}
+               done
+               popd > /dev/null
+
+               pushd man/man1 > /dev/null
+               for m in *; do
+                       newman ${m} scotch_${m}
+               done
+               popd > /dev/null
+       fi
+
+       use doc && dodoc doc/*.pdf
+
+       if use examples; then
+               insinto /usr/share/doc/${PF}/examples
+               doins -r examples/* tgt grf
+       fi
+}

diff --git a/sci-libs/scotch/scotch-6.0.4-r1.ebuild 
b/sci-libs/scotch/scotch-6.0.4-r1.ebuild
new file mode 100644
index 00000000000..28112e3244c
--- /dev/null
+++ b/sci-libs/scotch/scotch-6.0.4-r1.ebuild
@@ -0,0 +1,171 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils toolchain-funcs versionator flag-o-matic multilib
+
+# use esmumps version to allow linking with mumps
+MYP="${PN}_${PV}_esmumps"
+# download id on gforge changes every goddamn release
+DID=34618
+SOVER=$(get_major_version)
+
+DESCRIPTION="Software for graph, mesh and hypergraph partitioning"
+HOMEPAGE="http://www.labri.u-bordeaux.fr/perso/pelegrin/scotch/";
+SRC_URI="http://gforge.inria.fr/frs/download.php/${DID}/${MYP}.tar.gz";
+
+LICENSE="CeCILL-2"
+SLOT="0/${SOVER}"
+KEYWORDS="~alpha ~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc int64 mpi static-libs tools threads"
+
+DEPEND="
+       sys-libs/zlib
+       mpi? ( virtual/mpi )"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${P/-/_}
+
+static_to_shared() {
+       local libstatic=${1}; shift
+       local libname=$(basename ${libstatic%.a})
+       local soname=${libname}$(get_libname ${SOVER})
+       local libdir=$(dirname ${libstatic})
+
+       einfo "Making ${soname} from ${libstatic}"
+       if [[ ${CHOST} == *-darwin* ]] ; then
+               ${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+                       -dynamiclib -install_name 
"${EPREFIX}"/usr/lib/"${soname}" \
+                       -Wl,-all_load -Wl,${libstatic} \
+                       "$@" -o ${libdir}/${soname} || die "${soname} failed"
+       else
+               ${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+                       -shared -Wl,-soname=${soname} \
+                       -Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive 
\
+                       "$@" -o ${libdir}/${soname} || die "${soname} failed"
+               [[ $(get_version_component_count) -gt 1 ]] && \
+                       ln -s ${soname} ${libdir}/${libname}$(get_libname 
$(get_major_version))
+               ln -s ${soname} ${libdir}/${libname}$(get_libname)
+       fi
+}
+
+src_prepare() {
+       epatch "${FILESDIR}"/${P}-as-needed.patch
+       use int64 && append-cflags -DIDXSIZE64
+       if use threads; then
+               append-cflags "-DSCOTCH_PTHREAD_NUMBER=$(nproc)"
+       else
+               append-cflags "-DSCOTCH_PTHREAD_NUMBER=1"
+               sed -i \
+                       -e 's/ -DSCOTCH_PTHREAD//' \
+                       src/Make.inc/Makefile.inc.i686_pc_linux3 || die
+       fi
+       sed -e "s/gcc/$(tc-getCC)/" \
+               -e "s/-O3/${CFLAGS} -pthread/" \
+               -e "s/ ar/ $(tc-getAR)/" \
+               -e "s/ranlib/$(tc-getRANLIB)/" \
+               -e "s/LDFLAGS/LIBS/" \
+               src/Make.inc/Makefile.inc.i686_pc_linux3 > src/Makefile.inc || 
die
+}
+
+src_compile() {
+       emake -C src CLIBFLAGS=-fPIC scotch esmumps
+       static_to_shared lib/libscotcherr.a
+       static_to_shared lib/libscotcherrexit.a
+       static_to_shared lib/libscotch.a -Llib -lz -lm -lrt -lpthread 
-lscotcherr
+       static_to_shared lib/libesmumps.a -Llib -lscotch
+       static_to_shared lib/libscotchmetis.a -Llib -lscotch
+
+       if use mpi; then
+               emake -C src CLIBFLAGS=-fPIC ptscotch ptesmumps
+               export LINK=mpicc
+               static_to_shared lib/libptscotcherr.a
+               static_to_shared lib/libptscotcherrexit.a
+               static_to_shared lib/libptscotch.a -Llib -lscotch -lptscotcherr 
-lz -lm -lrt
+               static_to_shared lib/libptesmumps.a -Llib -lscotch -lptscotch
+               static_to_shared lib/libptscotchparmetis.a -Llib -lscotch 
-lptscotch
+       fi
+       if use static-libs; then
+               emake -C src clean
+               emake -C src
+               use mpi && emake -C src ptscotch
+       fi
+}
+
+src_test() {
+       LD_LIBRARY_PATH="${S}/lib" emake -C src check
+}
+
+src_install() {
+       dolib.so lib/lib*$(get_libname)*
+       use static-libs && dolib.a lib/*.a
+
+       #install metis headers into a subdir
+       #to allow usage of real metis and scotch
+       #in the same code
+       insinto /usr/include/scotch/metis
+       doins include/*metis*
+       rm include/*metis*
+       insinto /usr/include/scotch
+       doins include/*
+
+       cat <<-EOF > scotchmetis.pc
+               prefix=${EPREFIX}/usr
+               libdir=\${prefix}/$(get_libdir)
+               includedir=\${prefix}/include
+               Name: scotchmetis
+               Description: ${DESCRIPTION}
+               Version: ${PV}
+               URL: ${HOMEPAGE}
+               Libs: -L\${libdir} -lscotchmetis -lscotcherr -lscotch
+               Private: -lm -lz -lrt
+               Cflags: -I\${includedir}/scotch/metis
+       EOF
+       insinto /usr/$(get_libdir)/pkgconfig
+       doins scotchmetis.pc
+
+       # not sure it is actually a full replacement of metis
+       #alternatives_for metis scotch 0 \
+       #       /usr/$(get_libdir)/pkgconfig/metis.pc scotchmetis.pc
+
+       if use mpi; then
+               cat <<-EOF > ptscotchparmetis.pc
+                       prefix=${EPREFIX}/usr
+                       libdir=\${prefix}/$(get_libdir)
+                       includedir=\${prefix}/include
+                       Name: ptscotchparmetis
+                       Description: ${DESCRIPTION}
+                       Version: ${PV}
+                       URL: ${HOMEPAGE}
+                       Libs: -L\${libdir} -lptscotchparmetis -lptscotcherr 
-lptscotch
+                       Private: -lm -lz -lrt
+                       Cflags: -I\${includedir}/scotch/metis
+                       Requires: scotchmetis
+               EOF
+                       insinto /usr/$(get_libdir)/pkgconfig
+                       doins ptscotchparmetis.pc
+                       # not sure it is actually a full replacement of parmetis
+                       #alternatives_for metis-mpi ptscotch 0 \
+                       #       /usr/$(get_libdir)/pkgconfig/metis-mpi.pc 
ptscotchparmetis.pc
+       fi
+
+       dodoc README.txt
+
+       if use tools; then
+               local b m
+               pushd bin > /dev/null
+               for b in *; do
+                       newbin ${b} scotch_${b}
+               done
+               popd > /dev/null
+
+               pushd man/man1 > /dev/null
+               for m in *; do
+                       newman ${m} scotch_${m}
+               done
+               popd > /dev/null
+       fi
+
+       use doc && dodoc doc/*.pdf
+}

diff --git a/sci-libs/scotch/scotch-6.0.4.ebuild 
b/sci-libs/scotch/scotch-6.0.4.ebuild
new file mode 100644
index 00000000000..9ce7d7b3a14
--- /dev/null
+++ b/sci-libs/scotch/scotch-6.0.4.ebuild
@@ -0,0 +1,165 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils toolchain-funcs versionator flag-o-matic multilib
+
+# use esmumps version to allow linking with mumps
+MYP="${PN}_${PV}_esmumps"
+# download id on gforge changes every goddamn release
+DID=34618
+SOVER=$(get_major_version)
+
+DESCRIPTION="Software for graph, mesh and hypergraph partitioning"
+HOMEPAGE="http://www.labri.u-bordeaux.fr/perso/pelegrin/scotch/";
+SRC_URI="http://gforge.inria.fr/frs/download.php/${DID}/${MYP}.tar.gz";
+
+LICENSE="CeCILL-2"
+SLOT="0/${SOVER}"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc int64 mpi static-libs tools threads"
+
+DEPEND="
+       sys-libs/zlib
+       mpi? ( virtual/mpi )"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${P/-/_}
+
+static_to_shared() {
+       local libstatic=${1}; shift
+       local libname=$(basename ${libstatic%.a})
+       local soname=${libname}$(get_libname ${SOVER})
+       local libdir=$(dirname ${libstatic})
+
+       einfo "Making ${soname} from ${libstatic}"
+       if [[ ${CHOST} == *-darwin* ]] ; then
+               ${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+                       -dynamiclib -install_name 
"${EPREFIX}"/usr/lib/"${soname}" \
+                       -Wl,-all_load -Wl,${libstatic} \
+                       "$@" -o ${libdir}/${soname} || die "${soname} failed"
+       else
+               ${LINK:-$(tc-getCC)} ${LDFLAGS}  \
+                       -shared -Wl,-soname=${soname} \
+                       -Wl,--whole-archive ${libstatic} -Wl,--no-whole-archive 
\
+                       "$@" -o ${libdir}/${soname} || die "${soname} failed"
+               [[ $(get_version_component_count) -gt 1 ]] && \
+                       ln -s ${soname} ${libdir}/${libname}$(get_libname 
$(get_major_version))
+               ln -s ${soname} ${libdir}/${libname}$(get_libname)
+       fi
+}
+
+src_prepare() {
+       epatch "${FILESDIR}"/${P}-as-needed.patch
+       use int64 && append-cflags -DIDXSIZE64
+       if use threads; then
+               append-cflags "-DSCOTCH_PTHREAD_NUMBER=$(nproc)"
+       else
+               append-cflags "-DSCOTCH_PTHREAD_NUMBER=1"
+               sed -i \
+                       -e 's/ -DSCOTCH_PTHREAD//' \
+                       src/Make.inc/Makefile.inc.i686_pc_linux3 || die
+       fi
+       sed -e "s/gcc/$(tc-getCC)/" \
+               -e "s/-O3/${CFLAGS} -pthread/" \
+               -e "s/ ar/ $(tc-getAR)/" \
+               -e "s/ranlib/$(tc-getRANLIB)/" \
+               -e "s/LDFLAGS/LIBS/" \
+               src/Make.inc/Makefile.inc.i686_pc_linux3 > src/Makefile.inc || 
die
+}
+
+src_compile() {
+       emake -C src CLIBFLAGS=-fPIC scotch esmumps
+       static_to_shared lib/libscotcherr.a
+       static_to_shared lib/libscotcherrexit.a
+       static_to_shared lib/libscotch.a -Llib -lz -lm -lrt -lpthread 
-lscotcherr
+       static_to_shared lib/libesmumps.a -Llib -lscotch
+       static_to_shared lib/libscotchmetis.a -Llib -lscotch
+
+       if use mpi; then
+               emake -C src CLIBFLAGS=-fPIC ptscotch ptesmumps
+               export LINK=mpicc
+               static_to_shared lib/libptscotcherr.a
+               static_to_shared lib/libptscotcherrexit.a
+               static_to_shared lib/libptscotch.a -Llib -lscotch -lptscotcherr 
-lz -lm -lrt
+               static_to_shared lib/libptesmumps.a -Llib -lscotch -lptscotch
+               static_to_shared lib/libptscotchparmetis.a -Llib -lscotch 
-lptscotch
+       fi
+       if use static-libs; then
+               emake -C src clean
+               emake -C src
+               use mpi && emake -C src ptscotch
+       fi
+}
+
+src_test() {
+       LD_LIBRARY_PATH="${S}/lib" emake -C src check
+}
+
+src_install() {
+       dolib.so lib/lib*$(get_libname)*
+       use static-libs && dolib.a lib/*.a
+
+       insinto /usr/include/scotch
+       doins include/*
+
+       cat <<-EOF > scotchmetis.pc
+               prefix=${EPREFIX}/usr
+               libdir=\${prefix}/$(get_libdir)
+               includedir=\${prefix}/include
+               Name: scotchmetis
+               Description: ${DESCRIPTION}
+               Version: ${PV}
+               URL: ${HOMEPAGE}
+               Libs: -L\${libdir} -lscotchmetis -lscotcherr -lscotch
+               Private: -lm -lz -lrt
+               Cflags: -I\${includedir}/scotch
+       EOF
+       insinto /usr/$(get_libdir)/pkgconfig
+       doins scotchmetis.pc
+
+       # not sure it is actually a full replacement of metis
+       #alternatives_for metis scotch 0 \
+       #       /usr/$(get_libdir)/pkgconfig/metis.pc scotchmetis.pc
+
+       if use mpi; then
+               cat <<-EOF > ptscotchparmetis.pc
+                       prefix=${EPREFIX}/usr
+                       libdir=\${prefix}/$(get_libdir)
+                       includedir=\${prefix}/include
+                       Name: ptscotchparmetis
+                       Description: ${DESCRIPTION}
+                       Version: ${PV}
+                       URL: ${HOMEPAGE}
+                       Libs: -L\${libdir} -lptscotchparmetis -lptscotcherr 
-lptscotch
+                       Private: -lm -lz -lrt
+                       Cflags: -I\${includedir}/scotch
+                       Requires: scotchmetis
+               EOF
+                       insinto /usr/$(get_libdir)/pkgconfig
+                       doins ptscotchparmetis.pc
+                       # not sure it is actually a full replacement of parmetis
+                       #alternatives_for metis-mpi ptscotch 0 \
+                       #       /usr/$(get_libdir)/pkgconfig/metis-mpi.pc 
ptscotchparmetis.pc
+       fi
+
+       dodoc README.txt
+
+       if use tools; then
+               local b m
+               pushd bin > /dev/null
+               for b in *; do
+                       newbin ${b} scotch_${b}
+               done
+               popd > /dev/null
+
+               pushd man/man1 > /dev/null
+               for m in *; do
+                       newman ${m} scotch_${m}
+               done
+               popd > /dev/null
+       fi
+
+       use doc && dodoc doc/*.pdf
+}

Reply via email to